#include <bits/stdc++.h>
using namespace std;
string tabs[3] = {"", "\t", "\t\t"};
int solve(int n, int lasti, int lvl){
    if(lvl == 2){
//        cout << tabs[lvl] << n << '\n';
        return 1;
    }
    int sqrtn = sqrt(n)+1;
    int cnt = 0;
    int solved;
    for(int i = lasti; i <= sqrtn; i++){
        if(n%i == 0 && n/i >= i){
            //cout << tabs[lvl] << "n= " << n << " i=" << i << '\n';
            solved = solve(n/i, i, lvl+1);
            cnt += solved;
        }
    }
    return cnt;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n;
    cin >> n;

    cout << solve(n,1, 0) << '\n';
    return 0;
}
